diff --git a/PhysicsTools/BPHNano/plugins/MuonTriggerSelector.cc b/PhysicsTools/BPHNano/plugins/MuonTriggerSelector.cc
index e6ed841aabc8..895ad39d8251 100644
--- a/PhysicsTools/BPHNano/plugins/MuonTriggerSelector.cc
+++ b/PhysicsTools/BPHNano/plugins/MuonTriggerSelector.cc
@@ -30,11 +30,11 @@ using namespace std;
 constexpr bool debug = false;
 
 class MuonTriggerSelector : public edm::stream::EDProducer<> {
- public:
+public:
   explicit MuonTriggerSelector(const edm::ParameterSet &iConfig);
   ~MuonTriggerSelector() override {};
 
- private:
+private:
   void produce(edm::Event &, const edm::EventSetup &) override;
   const edm::ESGetToken<MagneticField, IdealMagneticFieldRecord> bFieldToken_;
   edm::EDGetTokenT<std::vector<pat::Muon>> muonSrc_;
@@ -50,18 +50,14 @@ class MuonTriggerSelector : public edm::stream::EDProducer<> {
 
 MuonTriggerSelector::MuonTriggerSelector(const edm::ParameterSet &iConfig)
     : bFieldToken_(esConsumes<MagneticField, IdealMagneticFieldRecord>()),
-      muonSrc_(consumes<std::vector<pat::Muon>>(
-          iConfig.getParameter<edm::InputTag>("muonCollection"))),
-      triggerBits_(consumes<edm::TriggerResults>(
-          iConfig.getParameter<edm::InputTag>("bits"))),
-      triggerObjects_(consumes<std::vector<pat::TriggerObjectStandAlone>>(
-          iConfig.getParameter<edm::InputTag>("objects"))),
-      triggerPrescales_(consumes<pat::PackedTriggerPrescales>(
-          iConfig.getParameter<edm::InputTag>("prescales"))),
+      muonSrc_(consumes<std::vector<pat::Muon>>(iConfig.getParameter<edm::InputTag>("muonCollection"))),
+      triggerBits_(consumes<edm::TriggerResults>(iConfig.getParameter<edm::InputTag>("bits"))),
+      triggerObjects_(
+          consumes<std::vector<pat::TriggerObjectStandAlone>>(iConfig.getParameter<edm::InputTag>("objects"))),
+      triggerPrescales_(consumes<pat::PackedTriggerPrescales>(iConfig.getParameter<edm::InputTag>("prescales"))),
       muon_selection_{iConfig.getParameter<std::string>("muonSelection")},
       maxdR_(iConfig.getParameter<double>("maxdR_matching")),
-      HLTPaths_(iConfig.getParameter<std::vector<std::string>>(
-          "HLTPaths"))  // multiple paths with comma
+      HLTPaths_(iConfig.getParameter<std::vector<std::string>>("HLTPaths"))  // multiple paths with comma
 {
   // outputs
   produces<pat::MuonCollection>("AllMuons");
@@ -69,8 +65,7 @@ MuonTriggerSelector::MuonTriggerSelector(const edm::ParameterSet &iConfig)
   produces<TransientTrackCollection>("SelectedTransientMuons");
 }
 
-void MuonTriggerSelector::produce(edm::Event &iEvent,
-                                  const edm::EventSetup &iSetup) {
+void MuonTriggerSelector::produce(edm::Event &iEvent, const edm::EventSetup &iSetup) {
   const auto &bField = iSetup.getData(bFieldToken_);
 
   edm::Handle<edm::TriggerResults> triggerBits;
@@ -85,8 +80,7 @@ void MuonTriggerSelector::produce(edm::Event &iEvent,
 
   std::unique_ptr<pat::MuonCollection> allmuons_out(new pat::MuonCollection);
   std::unique_ptr<pat::MuonCollection> muons_out(new pat::MuonCollection);
-  std::unique_ptr<TransientTrackCollection> trans_muons_out(
-      new TransientTrackCollection);
+  std::unique_ptr<TransientTrackCollection> trans_muons_out(new TransientTrackCollection);
 
   edm::Handle<std::vector<pat::Muon>> muons;
   iEvent.getByToken(muonSrc_, muons);
@@ -108,8 +102,7 @@ void MuonTriggerSelector::produce(edm::Event &iEvent,
 
   for (const pat::Muon &muon : *muons) {
     if (debug)
-      std::cout << "Muon Pt=" << muon.pt() << " Eta=" << muon.eta()
-                << " Phi=" << muon.phi() << endl;
+      std::cout << "Muon Pt=" << muon.pt() << " Eta=" << muon.eta() << " Phi=" << muon.phi() << endl;
 
     std::vector<int> frs(HLTPaths_.size(), 0);  // path fires for each reco muon
     std::vector<float> temp_matched_to(HLTPaths_.size(), 1000.);
@@ -135,45 +128,41 @@ void MuonTriggerSelector::produce(edm::Event &iEvent,
       // matched with the reco muon.
       if (!muon.triggerObjectMatches().empty()) {
         for (size_t i = 0; i < muon.triggerObjectMatches().size(); i++) {
-          if (muon.triggerObjectMatch(i) != nullptr &&
-              muon.triggerObjectMatch(i)->hasPathName(cstr, true, true)) {
+          if (muon.triggerObjectMatch(i) != nullptr && muon.triggerObjectMatch(i)->hasPathName(cstr, true, true)) {
             frs[ipath] = 1;
-            float dr = deltaR(muon.eta(), muon.phi(),
-                              muon.triggerObjectMatch(i)->eta(),
-                              muon.triggerObjectMatch(i)->phi());
-            float dpt = (muon.triggerObjectMatch(i)->pt() - muon.pt()) /
-                        muon.triggerObjectMatch(i)->pt();
+            float dr =
+                deltaR(muon.eta(), muon.phi(), muon.triggerObjectMatch(i)->eta(), muon.triggerObjectMatch(i)->phi());
+            float dpt = (muon.triggerObjectMatch(i)->pt() - muon.pt()) / muon.triggerObjectMatch(i)->pt();
             temp_dr[i] = dr;
             temp_dpt[i] = dpt;
             temp_pt[i] = muon.triggerObjectMatch(i)->pt();
-            if (debug) std::cout << "Path=" << cstr << endl;
+            if (debug)
+              std::cout << "Path=" << cstr << endl;
             if (debug)
               std::cout << "HLT  Pt=" << muon.triggerObjectMatch(i)->pt()
-                        << " Eta=" << muon.triggerObjectMatch(i)->eta()
-                        << " Phi=" << muon.triggerObjectMatch(i)->phi() << endl;
+                        << " Eta=" << muon.triggerObjectMatch(i)->eta() << " Phi=" << muon.triggerObjectMatch(i)->phi()
+                        << endl;
+            if (debug)
+              std::cout << "Muon Pt=" << muon.pt() << " Eta=" << muon.eta() << " Phi=" << muon.phi() << endl;
             if (debug)
-              std::cout << "Muon Pt=" << muon.pt() << " Eta=" << muon.eta()
-                        << " Phi=" << muon.phi() << endl;
-            if (debug) std::cout << "DR = " << temp_dr[i] << endl;
+              std::cout << "DR = " << temp_dr[i] << endl;
           }
         }
         // and now we find the real minimum between the reco muon and all its
         // matched HLT objects.
         temp_DR[ipath] = *min_element(temp_dr.begin(), temp_dr.end());
-        int position =
-            std::min_element(temp_dr.begin(), temp_dr.end()) - temp_dr.begin();
+        int position = std::min_element(temp_dr.begin(), temp_dr.end()) - temp_dr.begin();
         temp_DPT[ipath] = temp_dpt[position];
         temp_matched_to[ipath] = temp_pt[position];
       }
     }
     // and now since we have found the minimum DR we save a few variables for
     // plots
-    fires.push_back(frs);  // This is used in order to see if a reco muon fired
-                           // a Trigger (1) or not (0).
-    matcher.push_back(
-        temp_matched_to);  // This is used in order to see if a reco muon is
-                           // matched with a HLT object. PT of the reco muon is
-                           // saved in this vector.
+    fires.push_back(frs);                // This is used in order to see if a reco muon fired
+                                         // a Trigger (1) or not (0).
+    matcher.push_back(temp_matched_to);  // This is used in order to see if a reco muon is
+                                         // matched with a HLT object. PT of the reco muon is
+                                         // saved in this vector.
     DR.push_back(temp_DR);
     DPT.push_back(temp_DPT);
   }
@@ -181,11 +170,9 @@ void MuonTriggerSelector::produce(edm::Event &iEvent,
   for (unsigned int path = 0; path < HLTPaths_.size(); path++) {
     for (unsigned int iMuo = 0; iMuo < muons->size(); iMuo++) {
       for (unsigned int im = (iMuo + 1); im < muons->size(); im++) {
-        if (matcher[iMuo][path] != 1000. &&
-            matcher[iMuo][path] == matcher[im][path]) {
-          if (DR[iMuo][path] <
-              DR[im][path]) {  // Keep the one that has the minimum DR with the
-                               // HLT object
+        if (matcher[iMuo][path] != 1000. && matcher[iMuo][path] == matcher[im][path]) {
+          if (DR[iMuo][path] < DR[im][path]) {  // Keep the one that has the minimum DR with the
+                                                // HLT object
             fires[im][path] = 0;
             matcher[im][path] = 1000.;
             DR[im][path] = 1000.;
@@ -209,12 +196,15 @@ void MuonTriggerSelector::produce(edm::Event &iEvent,
   // save the reco muon in both collections
   for (const pat::Muon &muon : *muons) {
     unsigned int iMuo(&muon - &(muons->at(0)));
-    if (!muon_selection_(muon)) continue;  // selection cuts
+    if (!muon_selection_(muon))
+      continue;  // selection cuts
     const reco::TransientTrack muonTT((*(muon.bestTrack())), &bField);
-    if (!muonTT.isValid()) continue;
+    if (!muonTT.isValid())
+      continue;
 
     allmuons_out->emplace_back(muon);
-    if (muonIsTrigger[iMuo] != 1) continue;
+    if (muonIsTrigger[iMuo] != 1)
+      continue;
 
     muons_out->emplace_back(muon);
     muons_out->back().addUserInt("isTriggering", muonIsTrigger[iMuo]);
diff --git a/PhysicsTools/BPHNano/plugins/PVertexBPHTable.cc b/PhysicsTools/BPHNano/plugins/PVertexBPHTable.cc
index 283e541e873a..c7852e8141af 100644
--- a/PhysicsTools/BPHNano/plugins/PVertexBPHTable.cc
+++ b/PhysicsTools/BPHNano/plugins/PVertexBPHTable.cc
@@ -41,13 +41,13 @@
 //
 
 class PVertexBPHTable : public edm::stream::EDProducer<> {
- public:
+public:
   explicit PVertexBPHTable(const edm::ParameterSet&);
   ~PVertexBPHTable() override;
 
   static void fillDescriptions(edm::ConfigurationDescriptions& descriptions);
 
- private:
+private:
   void beginStream(edm::StreamID) override;
   void produce(edm::Event&, const edm::EventSetup&) override;
   void endStream() override;
@@ -64,10 +64,8 @@ class PVertexBPHTable : public edm::stream::EDProducer<> {
 // constructors and destructor
 //
 PVertexBPHTable::PVertexBPHTable(const edm::ParameterSet& params)
-    : pvs_(consumes<std::vector<reco::Vertex>>(
-          params.getParameter<edm::InputTag>("pvSrc"))),
-      pvsScore_(consumes<edm::ValueMap<float>>(
-          params.getParameter<edm::InputTag>("pvSrc"))),
+    : pvs_(consumes<std::vector<reco::Vertex>>(params.getParameter<edm::InputTag>("pvSrc"))),
+      pvsScore_(consumes<edm::ValueMap<float>>(params.getParameter<edm::InputTag>("pvSrc"))),
       goodPvCut_(params.getParameter<std::string>("goodPvCut"), true),
       pvName_(params.getParameter<std::string>("pvName"))
 
@@ -87,15 +85,13 @@ PVertexBPHTable::~PVertexBPHTable() {
 
 // ------------ method called to produce the data  ------------
 
-void PVertexBPHTable::produce(edm::Event& iEvent,
-                              const edm::EventSetup& iSetup) {
+void PVertexBPHTable::produce(edm::Event& iEvent, const edm::EventSetup& iSetup) {
   using namespace edm;
   const auto& pvsScoreProd = iEvent.get(pvsScore_);
   auto pvsCol = iEvent.getHandle(pvs_);
 
   auto selCandPv = std::make_unique<PtrVector<reco::Candidate>>();
-  std::vector<float> pvscore, chi2, covXX, covYY, covZZ, covXY, covXZ, covYZ,
-      vx, vy, vz, pt, eta, phi, mass, ndof;
+  std::vector<float> pvscore, chi2, covXX, covYY, covZZ, covXY, covXZ, covYZ, vx, vy, vz, pt, eta, phi, mass, ndof;
   std::vector<int> charge, ntracks;
 
   size_t i = 0;
@@ -124,8 +120,7 @@ void PVertexBPHTable::produce(edm::Event& iEvent,
     ndof.push_back(pv.ndof());
     i++;
   }
-  auto table = std::make_unique<nanoaod::FlatTable>(pvscore.size(), pvName_,
-                                                    false, false);
+  auto table = std::make_unique<nanoaod::FlatTable>(pvscore.size(), pvName_, false, false);
   table->addColumn<float>("score", pvscore, "", 10);
   table->addColumn<float>("vx", vx, "", 10);
   table->addColumn<float>("vy", vy, "", 10);
@@ -157,15 +152,13 @@ void PVertexBPHTable::endStream() {}
 
 // ------------ method fills 'descriptions' with the allowed parameters for the
 // module  ------------
-void PVertexBPHTable::fillDescriptions(
-    edm::ConfigurationDescriptions& descriptions) {
+void PVertexBPHTable::fillDescriptions(edm::ConfigurationDescriptions& descriptions) {
   edm::ParameterSetDescription desc;
 
   desc.add<edm::InputTag>("pvSrc")->setComment(
       "std::vector<reco::Vertex> and ValueMap<float> primary vertex input "
       "collections");
-  desc.add<std::string>("goodPvCut")
-      ->setComment("selection on the primary vertex");
+  desc.add<std::string>("goodPvCut")->setComment("selection on the primary vertex");
 
   desc.add<std::string>("pvName")->setComment("name of the flat table ouput");
 
diff --git a/PhysicsTools/BPHNano/plugins/SimpleFlatTableProducerBPHPlugins.cc b/PhysicsTools/BPHNano/plugins/SimpleFlatTableProducerBPHPlugins.cc
index 821cf96ed7c8..a1cd571a3f48 100644
--- a/PhysicsTools/BPHNano/plugins/SimpleFlatTableProducerBPHPlugins.cc
+++ b/PhysicsTools/BPHNano/plugins/SimpleFlatTableProducerBPHPlugins.cc
@@ -1,7 +1,6 @@
 #include "DataFormats/PatCandidates/interface/CompositeCandidate.h"
 #include "PhysicsTools/NanoAOD/interface/SimpleFlatTableProducer.h"
-typedef SimpleFlatTableProducer<pat::CompositeCandidate>
-    SimpleCompositeCandidateFlatTableProducer;
+typedef SimpleFlatTableProducer<pat::CompositeCandidate> SimpleCompositeCandidateFlatTableProducer;
 
 // not really useful in the end because lowptgsf tracks come with BDT taht is
 // not part of GsfTracks
diff --git a/PhysicsTools/BPHNano/plugins/TrackMerger.cc b/PhysicsTools/BPHNano/plugins/TrackMerger.cc
index 95b8956c1fba..6ce8e891bcd0 100644
--- a/PhysicsTools/BPHNano/plugins/TrackMerger.cc
+++ b/PhysicsTools/BPHNano/plugins/TrackMerger.cc
@@ -25,39 +25,31 @@
 #include "helper.h"
 
 class TrackMerger : public edm::global::EDProducer<> {
- public:
+public:
   // would it be useful to give this a bit more standard structure?
   explicit TrackMerger(const edm::ParameterSet &cfg)
       : bFieldToken_(esConsumes<MagneticField, IdealMagneticFieldRecord>()),
-        beamSpotSrc_(consumes<reco::BeamSpot>(
-            cfg.getParameter<edm::InputTag>("beamSpot"))),
-        tracksToken_(consumes<pat::PackedCandidateCollection>(
-            cfg.getParameter<edm::InputTag>("tracks"))),
-        lostTracksToken_(consumes<pat::PackedCandidateCollection>(
-            cfg.getParameter<edm::InputTag>("lostTracks"))),
-        dileptonToken_(consumes<pat::CompositeCandidateCollection>(
-            cfg.getParameter<edm::InputTag>("dileptons"))),
-        muonToken_(consumes<pat::MuonCollection>(
-            cfg.getParameter<edm::InputTag>("muons"))),
-        eleToken_(consumes<pat::ElectronCollection>(
-            cfg.getParameter<edm::InputTag>("electrons"))),
+        beamSpotSrc_(consumes<reco::BeamSpot>(cfg.getParameter<edm::InputTag>("beamSpot"))),
+        tracksToken_(consumes<pat::PackedCandidateCollection>(cfg.getParameter<edm::InputTag>("tracks"))),
+        lostTracksToken_(consumes<pat::PackedCandidateCollection>(cfg.getParameter<edm::InputTag>("lostTracks"))),
+        dileptonToken_(consumes<pat::CompositeCandidateCollection>(cfg.getParameter<edm::InputTag>("dileptons"))),
+        muonToken_(consumes<pat::MuonCollection>(cfg.getParameter<edm::InputTag>("muons"))),
+        eleToken_(consumes<pat::ElectronCollection>(cfg.getParameter<edm::InputTag>("electrons"))),
         maxDzDilep_(cfg.getParameter<double>("maxDzDilep")),
         dcaSig_(cfg.getParameter<double>("dcaSig")),
         track_selection_(cfg.getParameter<std::string>("trackSelection")) {
     produces<pat::CompositeCandidateCollection>("SelectedTracks");
     produces<TransientTrackCollection>("SelectedTransientTracks");
-    produces<edm::Association<pat::CompositeCandidateCollection>>(
-        "SelectedTracks");
+    produces<edm::Association<pat::CompositeCandidateCollection>>("SelectedTracks");
   }
 
   ~TrackMerger() override {}
 
-  void produce(edm::StreamID, edm::Event &,
-               const edm::EventSetup &) const override;
+  void produce(edm::StreamID, edm::Event &, const edm::EventSetup &) const override;
 
   static void fillDescriptions(edm::ConfigurationDescriptions &descriptions) {}
 
- private:
+private:
   const edm::ESGetToken<MagneticField, IdealMagneticFieldRecord> bFieldToken_;
   const edm::EDGetTokenT<reco::BeamSpot> beamSpotSrc_;
   const edm::EDGetTokenT<pat::PackedCandidateCollection> tracksToken_;
@@ -72,8 +64,7 @@ class TrackMerger : public edm::global::EDProducer<> {
   const StringCutObjectSelector<pat::PackedCandidate> track_selection_;
 };
 
-void TrackMerger::produce(edm::StreamID, edm::Event &evt,
-                          edm::EventSetup const &stp) const {
+void TrackMerger::produce(edm::StreamID, edm::Event &evt, edm::EventSetup const &stp) const {
   // input
   edm::Handle<reco::BeamSpot> beamSpotHandle;
   evt.getByToken(beamSpotSrc_, beamSpotHandle);
@@ -100,13 +91,10 @@ void TrackMerger::produce(edm::StreamID, edm::Event &evt,
   unsigned int totalTracks = nTracks + lostTracks->size();
 
   // ok this was CompositeCandidateCollection
-  std::unique_ptr<pat::CompositeCandidateCollection> tracks_out(
-      new pat::CompositeCandidateCollection);
-  std::unique_ptr<TransientTrackCollection> trans_tracks_out(
-      new TransientTrackCollection);
+  std::unique_ptr<pat::CompositeCandidateCollection> tracks_out(new pat::CompositeCandidateCollection);
+  std::unique_ptr<TransientTrackCollection> trans_tracks_out(new TransientTrackCollection);
 
-  std::vector<std::pair<pat::CompositeCandidate, reco::TransientTrack>>
-      vectrk_ttrk;
+  std::vector<std::pair<pat::CompositeCandidate, reco::TransientTrack>> vectrk_ttrk;
   // try topreserve same logic avoiding the copy of the full collection
   /*
   //correct logic but a bit convoluted -> changing to smthn simpler
@@ -117,12 +105,14 @@ void TrackMerger::produce(edm::StreamID, edm::Event &evt,
   std::vector<int> match_indices(totalTracks, -1);
   // for loop is better to be range based - especially for large ensembles
   for (unsigned int iTrk = 0; iTrk < totalTracks; ++iTrk) {
-    const pat::PackedCandidate &trk =
-        (iTrk < nTracks) ? (*tracks)[iTrk] : (*lostTracks)[iTrk - nTracks];
+    const pat::PackedCandidate &trk = (iTrk < nTracks) ? (*tracks)[iTrk] : (*lostTracks)[iTrk - nTracks];
     // arranging cuts for speed
-    if (!trk.hasTrackDetails()) continue;
-    if (fabs(trk.pdgId()) != 211) continue;  // do we want also to keep muons?
-    if (!track_selection_(trk)) continue;
+    if (!trk.hasTrackDetails())
+      continue;
+    if (fabs(trk.pdgId()) != 211)
+      continue;  // do we want also to keep muons?
+    if (!track_selection_(trk))
+      continue;
 
     bool skipTrack = true;
     float dzTrg = 0.0;
@@ -136,27 +126,27 @@ void TrackMerger::produce(edm::StreamID, edm::Event &evt,
     }
 
     // if track is far from all dilepton candidate
-    if (skipTrack) continue;
+    if (skipTrack)
+      continue;
 
     // high purity requirment applied only in packedCands
-    if (iTrk < nTracks && !trk.trackHighPurity()) continue;
+    if (iTrk < nTracks && !trk.trackHighPurity())
+      continue;
     const reco::TransientTrack trackTT((*trk.bestTrack()), &bField);
 
     // distance closest approach in x,y wrt beam spot
     std::pair<double, double> DCA = computeDCA(trackTT, beamSpot);
     float DCABS = DCA.first;
     float DCABSErr = DCA.second;
-    float DCASig = (DCABSErr != 0 && float(DCABSErr) == DCABSErr)
-                       ? fabs(DCABS / DCABSErr)
-                       : -1;
-    if (DCASig > dcaSig_ && dcaSig_ > 0) continue;
+    float DCASig = (DCABSErr != 0 && float(DCABSErr) == DCABSErr) ? fabs(DCABS / DCABSErr) : -1;
+    if (DCASig > dcaSig_ && dcaSig_ > 0)
+      continue;
 
     // clean tracks wrt to all muons
     int matchedToMuon = 0;
     for (const pat::Muon &imutmp : *muons) {
       for (unsigned int i = 0; i < imutmp.numberOfSourceCandidatePtrs(); ++i) {
-        if (!((imutmp.sourceCandidatePtr(i)).isNonnull() &&
-              (imutmp.sourceCandidatePtr(i)).isAvailable()))
+        if (!((imutmp.sourceCandidatePtr(i)).isNonnull() && (imutmp.sourceCandidatePtr(i)).isAvailable()))
           continue;
 
         const edm::Ptr<reco::Candidate> &source = imutmp.sourceCandidatePtr(i);
@@ -171,8 +161,7 @@ void TrackMerger::produce(edm::StreamID, edm::Event &evt,
     int matchedToEle = 0;
     for (const pat::Electron &ietmp : *pfele) {
       for (unsigned int i = 0; i < ietmp.numberOfSourceCandidatePtrs(); ++i) {
-        if (!((ietmp.sourceCandidatePtr(i)).isNonnull() &&
-              (ietmp.sourceCandidatePtr(i)).isAvailable()))
+        if (!((ietmp.sourceCandidatePtr(i)).isNonnull() && (ietmp.sourceCandidatePtr(i)).isAvailable()))
           continue;
         const edm::Ptr<reco::Candidate> &source = ietmp.sourceCandidatePtr(i);
         if (source.id() == tracks.id() && source.key() == iTrk) {
@@ -219,8 +208,7 @@ void TrackMerger::produce(edm::StreamID, edm::Event &evt,
     if (iTrk < nTracks)
       pcand.addUserCand("cand", edm::Ptr<pat::PackedCandidate>(tracks, iTrk));
     else
-      pcand.addUserCand(
-          "cand", edm::Ptr<pat::PackedCandidate>(lostTracks, iTrk - nTracks));
+      pcand.addUserCand("cand", edm::Ptr<pat::PackedCandidate>(lostTracks, iTrk - nTracks));
 
     // in order to avoid revoking the sxpensive ttrack builder many times and
     // still have everything sorted, we add them to vector of pairs
@@ -233,11 +221,9 @@ void TrackMerger::produce(edm::StreamID, edm::Event &evt,
 
   // sort to be uniform with leptons
   // sort by index since we want to update the match too
-  std::sort(sort_indices.begin(), sort_indices.end(),
-            [&vectrk_ttrk](auto &iTrk1, auto &iTrk2) -> bool {
-              return (vectrk_ttrk[iTrk1].first).pt() >
-                     (vectrk_ttrk[iTrk2].first).pt();
-            });
+  std::sort(sort_indices.begin(), sort_indices.end(), [&vectrk_ttrk](auto &iTrk1, auto &iTrk2) -> bool {
+    return (vectrk_ttrk[iTrk1].first).pt() > (vectrk_ttrk[iTrk2].first).pt();
+  });
   // std::sort( vectrk_ttrk.begin(), vectrk_ttrk.end(),
   //            [] ( auto & trk1, auto & trk2) ->
   //            bool {return (trk1.first).pt() > (trk2.first).pt();}
@@ -255,12 +241,12 @@ void TrackMerger::produce(edm::StreamID, edm::Event &evt,
   }
 
   // Now point the match indices to the sorted output collection
-  std::transform(match_indices.begin(), match_indices.end(),
-                 match_indices.begin(),
-                 [&reverse_sort_indices](int iUnsortedTrack) {
-                   if (iUnsortedTrack < 0) return -1;
-                   return reverse_sort_indices[iUnsortedTrack];
-                 });
+  std::transform(
+      match_indices.begin(), match_indices.end(), match_indices.begin(), [&reverse_sort_indices](int iUnsortedTrack) {
+        if (iUnsortedTrack < 0)
+          return -1;
+        return reverse_sort_indices[iUnsortedTrack];
+      });
 
   int unassoc = 0;
   for (auto iTrkAssoc : match_indices) {
@@ -274,15 +260,11 @@ void TrackMerger::produce(edm::StreamID, edm::Event &evt,
   evt.put(std::move(trans_tracks_out), "SelectedTransientTracks");
 
   // Associate PackedCandidates to the merged Track collection
-  auto tracks_out_match =
-      std::make_unique<edm::Association<pat::CompositeCandidateCollection>>(
-          tracks_orphan_handle);
-  edm::Association<pat::CompositeCandidateCollection>::Filler filler(
-      *tracks_out_match);
+  auto tracks_out_match = std::make_unique<edm::Association<pat::CompositeCandidateCollection>>(tracks_orphan_handle);
+  edm::Association<pat::CompositeCandidateCollection>::Filler filler(*tracks_out_match);
 
   filler.insert(tracks, match_indices.begin(), match_indices.begin() + nTracks);
-  filler.insert(lostTracks, match_indices.begin() + nTracks,
-                match_indices.end());
+  filler.insert(lostTracks, match_indices.begin() + nTracks, match_indices.end());
   filler.fill();
 
   evt.put(std::move(tracks_out_match), "SelectedTracks");
diff --git a/PhysicsTools/BPHNano/plugins/TriggerObjectTable.cc b/PhysicsTools/BPHNano/plugins/TriggerObjectTable.cc
index fca36d80d3aa..8190da0b8ae5 100644
--- a/PhysicsTools/BPHNano/plugins/TriggerObjectTable.cc
+++ b/PhysicsTools/BPHNano/plugins/TriggerObjectTable.cc
@@ -22,25 +22,22 @@
 #include "FWCore/Utilities/interface/StreamID.h"
 
 class TriggerObjectTableBParkProducer : public edm::stream::EDProducer<> {
- public:
+public:
   explicit TriggerObjectTableBParkProducer(const edm::ParameterSet &iConfig)
       : name_(iConfig.getParameter<std::string>("name")),
-        src_(consumes<std::vector<pat::TriggerObjectStandAlone>>(
-            iConfig.getParameter<edm::InputTag>("src"))),
-        l1Muon_(consumes<l1t::MuonBxCollection>(
-            iConfig.getParameter<edm::InputTag>("l1Muon"))) {
-    std::vector<edm::ParameterSet> selPSets =
-        iConfig.getParameter<std::vector<edm::ParameterSet>>("selections");
+        src_(consumes<std::vector<pat::TriggerObjectStandAlone>>(iConfig.getParameter<edm::InputTag>("src"))),
+        l1Muon_(consumes<l1t::MuonBxCollection>(iConfig.getParameter<edm::InputTag>("l1Muon"))) {
+    std::vector<edm::ParameterSet> selPSets = iConfig.getParameter<std::vector<edm::ParameterSet>>("selections");
     sels_.reserve(selPSets.size());
     std::stringstream idstr, qualitystr;
     idstr << "ID of the object: ";
     for (auto &pset : selPSets) {
       sels_.emplace_back(pset);
       idstr << sels_.back().id << " = " << sels_.back().name;
-      if (sels_.size() < selPSets.size()) idstr << ", ";
+      if (sels_.size() < selPSets.size())
+        idstr << ", ";
       if (!sels_.back().qualityBitsDoc.empty()) {
-        qualitystr << sels_.back().qualityBitsDoc << " for "
-                   << sels_.back().name << "; ";
+        qualitystr << sels_.back().qualityBitsDoc << " for " << sels_.back().name << "; ";
       }
     }
     idDoc_ = idstr.str();
@@ -51,7 +48,7 @@ class TriggerObjectTableBParkProducer : public edm::stream::EDProducer<> {
 
   ~TriggerObjectTableBParkProducer() override {}
 
- private:
+private:
   void produce(edm::Event &, edm::EventSetup const &) override;
 
   std::string name_;
@@ -82,39 +79,31 @@ class TriggerObjectTableBParkProducer : public edm::stream::EDProducer<> {
           qualityBits(pset.getParameter<std::string>("qualityBits")),
           qualityBitsDoc(pset.getParameter<std::string>("qualityBitsDoc")) {
       if (pset.existsAs<std::string>("l1seed")) {
-        l1cut = StringCutObjectSelector<pat::TriggerObjectStandAlone>(
-            pset.getParameter<std::string>("l1seed"));
+        l1cut = StringCutObjectSelector<pat::TriggerObjectStandAlone>(pset.getParameter<std::string>("l1seed"));
         l1DR2 = std::pow(pset.getParameter<double>("l1deltaR"), 2);
       }
       if (pset.existsAs<std::string>("l1seed_2")) {
-        l1cut_2 = StringCutObjectSelector<pat::TriggerObjectStandAlone>(
-            pset.getParameter<std::string>("l1seed_2"));
+        l1cut_2 = StringCutObjectSelector<pat::TriggerObjectStandAlone>(pset.getParameter<std::string>("l1seed_2"));
         l1DR2_2 = std::pow(pset.getParameter<double>("l1deltaR_2"), 2);
       }
       if (pset.existsAs<std::string>("l2seed")) {
-        l2cut = StringCutObjectSelector<pat::TriggerObjectStandAlone>(
-            pset.getParameter<std::string>("l2seed"));
+        l2cut = StringCutObjectSelector<pat::TriggerObjectStandAlone>(pset.getParameter<std::string>("l2seed"));
         l2DR2 = std::pow(pset.getParameter<double>("l2deltaR"), 2);
       }
     }
 
-    bool match(const pat::TriggerObjectStandAlone &obj) const {
-      return cut(obj);
-    }
+    bool match(const pat::TriggerObjectStandAlone &obj) const { return cut(obj); }
   };
 
   std::vector<SelectedObject> sels_;
 };
 
 // ------------ method called to produce the data  ------------
-void TriggerObjectTableBParkProducer::produce(edm::Event &iEvent,
-                                              const edm::EventSetup &iSetup) {
+void TriggerObjectTableBParkProducer::produce(edm::Event &iEvent, const edm::EventSetup &iSetup) {
   edm::Handle<std::vector<pat::TriggerObjectStandAlone>> src;
   iEvent.getByToken(src_, src);
 
-  std::vector<
-      std::pair<const pat::TriggerObjectStandAlone *, const SelectedObject *>>
-      selected;
+  std::vector<std::pair<const pat::TriggerObjectStandAlone *, const SelectedObject *>> selected;
   for (const auto &obj : *src) {
     for (const auto &sel : sels_) {
       if (sel.match(obj)) {
@@ -134,10 +123,8 @@ void TriggerObjectTableBParkProducer::produce(edm::Event &iEvent,
     for (unsigned int j = 0; j < i; ++j) {
       const auto &obj2 = *selected[j].first;
       const auto &sel2 = *selected[j].second;
-      if (sel.id == sel2.id && abs(obj.pt() - obj2.pt()) < 1e-6 &&
-          deltaR2(obj, obj2) < 1e-6) {
-        selected_bits[&obj2] |=
-            selected_bits[&obj];  // Keep filters from all the objects
+      if (sel.id == sel2.id && abs(obj.pt() - obj2.pt()) < 1e-6 && deltaR2(obj, obj2) < 1e-6) {
+        selected_bits[&obj2] |= selected_bits[&obj];  // Keep filters from all the objects
         selected.erase(selected.begin() + i);
         i--;
       }
@@ -149,8 +136,7 @@ void TriggerObjectTableBParkProducer::produce(edm::Event &iEvent,
 
   std::vector<pair<pat::TriggerObjectStandAlone, int>> l1Objects;
 
-  for (l1t::MuonBxCollection::const_iterator it = l1Muon->begin(0);
-       it != l1Muon->end(0); it++) {
+  for (l1t::MuonBxCollection::const_iterator it = l1Muon->begin(0); it != l1Muon->end(0); it++) {
     pat::TriggerObjectStandAlone l1obj(it->p4());
     l1obj.setCollection("L1Mu");
     l1obj.addTriggerObjectType(trigger::TriggerL1Mu);
@@ -159,10 +145,8 @@ void TriggerObjectTableBParkProducer::produce(edm::Event &iEvent,
   }
 
   unsigned int nobj = selected.size();
-  std::vector<float> pt(nobj, 0), eta(nobj, 0), phi(nobj, 0), l1pt(nobj, 0),
-      l1pt_2(nobj, 0), l2pt(nobj, 0);
-  std::vector<int> id(nobj, 0), bits(nobj, 0), l1iso(nobj, 0),
-      l1charge(nobj, 0);
+  std::vector<float> pt(nobj, 0), eta(nobj, 0), phi(nobj, 0), l1pt(nobj, 0), l1pt_2(nobj, 0), l2pt(nobj, 0);
+  std::vector<int> id(nobj, 0), bits(nobj, 0), l1iso(nobj, 0), l1charge(nobj, 0);
   for (unsigned int i = 0; i < nobj; ++i) {
     const auto &obj = *selected[i].first;
     const auto &sel = *selected[i].second;
@@ -212,13 +196,9 @@ void TriggerObjectTableBParkProducer::produce(edm::Event &iEvent,
   tab->addColumn<float>("l1pt", l1pt, "pt of associated L1 seed", 8);
   tab->addColumn<int>("l1iso", l1iso, "iso of associated L1 seed");
   tab->addColumn<int>("l1charge", l1charge, "charge of associated L1 seed");
-  tab->addColumn<float>("l1pt_2", l1pt_2, "pt of associated secondary L1 seed",
-                        8);
-  tab->addColumn<float>(
-      "l2pt", l2pt, "pt of associated 'L2' seed (i.e. HLT before tracking/PF)",
-      10);
-  tab->addColumn<int>("filterBits", bits,
-                      "extra bits of associated information: " + bitsDoc_);
+  tab->addColumn<float>("l1pt_2", l1pt_2, "pt of associated secondary L1 seed", 8);
+  tab->addColumn<float>("l2pt", l2pt, "pt of associated 'L2' seed (i.e. HLT before tracking/PF)", 10);
+  tab->addColumn<int>("filterBits", bits, "extra bits of associated information: " + bitsDoc_);
   iEvent.put(std::move(tab));
 }
 
